<?php
/**
 * Left right image slideshow
 *
 * @package 	Left right image slideshow
 * @subpackage 	mod_left_right_image_slideshow
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license   	GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/07/left-right-image-slideshow-joomla-module/
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\LeftRightImageSlideshow\Site\Helper\LeftRightImageSlideshowHelper;

$folder		= LeftRightImageSlideshowHelper::getFolder($params);
$images		= LeftRightImageSlideshowHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo \JText::_('No Images <br>' . $folder . '<br>');
	return;
}

$modbase 	= JURI::base(true).'/modules/mod_left_right_image_slideshow/';
$document 	= JFactory::getDocument();
$slideshow_jquery = $params->get("slideshow_jquery","yes");	
if($slideshow_jquery == "YES")	
{
	$document->addScript ($modbase.'tmpl/jquery.min.js');
}
$document->addScript ($modbase.'tmpl/left-right-image-slideshow-gallery.js');

require ModuleHelper::getLayoutPath('mod_left_right_image_slideshow', $params->get('layout', 'default'));
